# Python Script for Downloading the Latest Amateur Radio Callbook of Austria
(c) KW4NZ since 2024
 - Guide is based on Debian 12.5, and Arch Linux
 - Last modified 2024-06-12

## Prerequisites

1. A running Linux system, e.g. Debian, Arch, etc.
0. Python Version >3
0. Selenium for Python
0. Chromium Web browser (headless)

## Installation of Python, Selenium, Chromium

### Debian Linux

#### Check Version


	$ cat /etc/debian_version
	12.5

	$ cat /etc/os-release
	PRETTY_NAME="Debian GNU/Linux 12 (bookworm)"
	NAME="Debian GNU/Linux"
	VERSION_ID="12"
	VERSION="12 (bookworm)"
	VERSION_CODENAME=bookworm
	ID=debian
	HOME_URL="https://www.debian.org/"
	SUPPORT_URL="https://www.debian.org/support"
	BUG_REPORT_URL="https://bugs.debian.org/"

Upgrade your Debian installation if the version is lower than the above value.

#### Update/Upgrade Debian

	$ sudo apt update
	$ sudo apt upgrade

#### Python3

	$ sudo apt install python3

#### Chromium Browser

	$ sudo apt install chromium

### Arch Linux

#### Check Version

	$ cat /etc/lsb-release
	DISTRIB_ID="Arch"
	DISTRIB_RELEASE="rolling"
	DISTRIB_DESCRIPTION="Arch Linux"

	$ cat /etc/os-release
	NAME="Arch Linux"
	PRETTY_NAME="Arch Linux"
	ID=arch
	BUILD_ID=rolling
	ANSI_COLOR="38;2;23;147;209"
	HOME_URL="https://archlinux.org/"
	DOCUMENTATION_URL="https://wiki.archlinux.org/"
	SUPPORT_URL="https://bbs.archlinux.org/"
	BUG_REPORT_URL="https://gitlab.archlinux.org/groups/archlinux/-/issues"
	PRIVACY_POLICY_URL="https://terms.archlinux.org/docs/privacy-policy/"
	LOGO=archlinux-logo

#### Update Arch Linux
Because Arch linux is a rolling distribution, simply update the version to the latest version with:
	
	$ sudo pacman -Syuv



	sudo pacman -S python

Alternative when `yay` is installed:

	yay -S python
